Name:           uwufetch
Version:        2.1
Release:        1%{?dist}
Summary:        A meme system info tool for Linux, based on nyan/uwu trend

License:        GPL-3.0-or-later
URL:            https://github.com/ad-oliviero/uwufetch
Source0:        https://github.com/ad-oliviero/uwufetch/archive/refs/tags/%{version}/uwufetch-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

Recommends:     lshw
Suggests:       viu

# Disable debug packages since upstream doesn't include debug symbols
%define debug_package %{nil}

%description
UwUfetch is a meme system info tool for Linux, inspired by the nyan/uwu trend on
r/linuxmasterrace. It displays system information in a playful, "uwu" style,
optionally with an ASCII art or image logo.

%prep
%autosetup -n %{name}-%{version}

%build
make build %{?_smp_mflags}
sed "s/{DATE}/01 April 2025/g" uwufetch.1 | sed "s/{UWUFETCH_VERSION}/%{version}/g" | gzip > uwufetch.1.gz

%install
install -D -m 755 uwufetch %{buildroot}%{_bindir}/uwufetch
install -D -m 644 uwufetch.1.gz %{buildroot}%{_mandir}/man1/uwufetch.1.gz
install -D -m 755 libfetch.so %{buildroot}%{_libdir}/libfetch.so
install -d -m 755 %{buildroot}%{_sysconfdir}/uwufetch

%files
%{_bindir}/uwufetch
%{_mandir}/man1/uwufetch.1.gz
%{_libdir}/libfetch.so
%dir %{_sysconfdir}/uwufetch

%changelog
* Tue Apr 01 2025 Hai Tran <MCPEngu@protonmail.com> - 2.1-1
- Optimized get_pkg() (~-200ms on my machine)
- Optimized other get_something() functions by running them in parallel with threads
- Added logging system for easier debugging
- Added support for Rocky linux, Linux on M1 macs, Devuan, FemboyOS, Deepin

